<?php 
if(empty($_POST["form_name"])){
        die("Invalid");
    }
    ini_set("display_errors", "0");
    

require_once "PHPMailer/PHPMailerAutoload.php";
    $mail = new PHPMailer;
    $mail->isHTML(true);

$subject = "Neuer Termin RRL: __termintitel__, __termintitel__";
    if(!empty($subject)){
        foreach($_POST["fields"] as $key => $value){
            if(is_array($value)){
                $value = implode(" ,", $value);
            }
            $subject = str_replace( "__" . $key . "__", $value, $subject);
        }
    }

$form_fields = array(
"" => "heading", 
"termintitel" => "text", 
"picture" => "file_upload", 
"description" => "text_editor", 
"field_8" => "checkbox", 
"starttime" => "datepicker", 
"endtime" => "datepicker", 
"linklink" => "text", 
"" => "heading", 
"loc_name" => "text", 
"loc_adresse" => "text", 
"loc_plz" => "text", 
"loc_ort" => "text", 
"" => "heading", 
"post_name" => "text", 
"post-strasse" => "text", 
"post_plz" => "text", 
"post_ort" => "text", 
"post_email" => "text", 
"agb" => "tnc", 
);

$body = "Folgender Termin wurde eingestellt:
__termintitel__
Beginn am __starttime__
Ende __endtime__
in __loc_name__, __loc_ort__

eingestellt am __DATE_TIME__ von:
__post_name__, __post_ort__

IP:__SENDER_IP__";
    $data = array();
    foreach($_POST["fields"] as $key => $value){
        if(is_array($value)){
            $value = implode(" ,", $value);
        }
        $data[$key] = $value;
        $body = $form_fields[$key] != "text_editor" ? str_replace( "__" . $key . "__", htmlspecialchars( $value ), $body) : str_replace( "__" . $key . "__", $value, $body);
    }
    $body = str_replace( "__SENDER_IP__", $_SERVER["REMOTE_ADDR"], $body);
    $body = str_replace( "__DATE_TIME__", date("Y-m-d H:i:s"), $body);
    

$mail->addAddress( "termin@rheydt-live.de" );
if(!empty($_POST["attachments"])){
        $attachments = explode( ",", $_POST["attachments"]);
        foreach( $attachments as $attachment ){
            $attachment_path = dirname(__DIR__) . "/uploads/" .  $attachment ;
            if( file_exists( $attachment_path ) ){
                $mail->addAttachment($attachment_path, $attachment);
            }
        }
    }

$mail->setFrom( "robot@rheydt-live.de" );
    $mail->Subject = $subject;
    $mail->Body = nl2br($body);
     
    $email_sent = $mail->send();

try{
                    require_once ("config.php");
$db_data = array();
$db_data["termintitel"] = "__termintitel__";
$db_data["picture"] = "__picture__";
$db_data["description"] = "__description__";
$db_data["rubrik"] = "__field_8__";
$db_data["starttime"] = "__starttime__";
$db_data["endtime"] = "__endtime__";
$db_data["linklink"] = "__linklink__";
$db_data["loc_name"] = "__loc_name__";
$db_data["loc_adresse"] = "__loc_adresse__";
$db_data["loc_plz"] = "__loc_plz__";
$db_data["loc_ort"] = "__loc_ort__";
$db_data["post_name"] = "__post_name__";
$db_data["post_strasse"] = "__post-strasse__";
$db_data["post_plz"] = "__post_plz__";
$db_data["post_ort"] = "__post_ort__";
$db_data["post_email"] = "__post_email__";
$db_data["agb"] = "__agb__";
$insert_data = array();
                foreach( $db_data as $col => $col_val){
                    foreach($_POST["fields"] as $key => $value){
                        if(is_array($value)){
                            $value = implode(" ,", $value);
                        }
                        $col_val = str_replace( "__" . $key . "__", htmlspecialchars( $value ) , $col_val);
                    }
                    $insert_data[$col] = $col_val;
                }
if(!empty($insert_data)){
                        $insert_id = $db->insert ("olitabname" , $insert_data);
                        if ($insert_id){
                            $db_msg = "Data inserted successfully";
                            $db_success = 1;
                        } else {
                            $db_msg = "Insert failed: " . $db->getLastError();
                            $db_success = 0;
                        }
                    }
}catch(Exception $e){
                $db_msg = "Database insert failed" . $e->getMessage();
                $db_success = 0;
            }
if( $email_sent ){
$output = array("success" => 1, 
                        "redirect" => 1, 
                        "url" => "weiter.de");
echo json_encode($output); exit;
    } else {
$output = array("success" => 0, 
                    "error" => "Email error",
                    "msg" => "FEHLER - nochmal absenden",
                    "data" => $data,
                    "phpMailer_error" => $mail->ErrorInfo
                );
            echo json_encode($output); exit;
}
?>